/*********************************************************************
*               (c) SEGGER Microcontroller GmbH & Co. KG             *
*                        The Embedded Experts                        *
*                           www.segger.com                           *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : Main.c
Purpose : Sample application to test ETB trace on Renesas R7S721001 (RZ/A1H)
*/

#include <stdio.h>
#include <stdlib.h>

/*********************************************************************
*
*       Defines, fixed
*
**********************************************************************
*/

/*********************************************************************
*
*       Prototypes
*
**********************************************************************
*/


/*********************************************************************
*
*       Global data
*
**********************************************************************
*/

volatile int _Cnt;
volatile int _Wait;

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       _TestFunc0()
*
*  Function description
*    TBD.
*/
static void _TestFunc0(int Cnt) {
  do {} while (--Cnt > 0);
}

/*********************************************************************
*
*       _TestFunc1()
*
*  Function description
*    TBD.
*/
static void _TestFunc1(int Cnt) {
  do {} while (--Cnt > 0);
}

/*********************************************************************
*
*       _TestFunc2()
*
*  Function description
*    TBD.
*/
static void _TestFunc2(int Cnt) {
  do {} while (--Cnt > 0);
}

/*********************************************************************
*
*       main()
*
*  Function description
*    TBD.
*/
void main(void) {
  _Wait = 1;
  _Cnt = 0;
  _Cnt++;
  _Cnt++;
  do {
    _TestFunc0(1);
    _TestFunc1(1);
    _TestFunc2(1);
    _Cnt++;
  } while (_Wait);
}

/*************************** End of file ****************************/
